Subject: bug#33571: 26.1.90; Artifacts in echo area

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Dec 2018 09:43:18 +0200

> Date: Sun, 02 Dec 2018 09:29:56 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Live System User <[email-masked]>
> > Date: Sat, 01 Dec 2018 22:17:07 -0500
> > 
> >         After a "git pull" and make of Emacs 26.1.90, I am
> >         now seeing artifacts in the echo area.
> > 
> >         I have "C-c g" bound to "magit-status".
> > 
> >         After executing "C-c g" I get the results but see in the
> >         echo area:
> > 
> >              C-c g
> > 
> >         This remains in the echo area until another key is pressed.
> > 
> >         Additionaly, this same behavior occurs in the latest Emacs 27
> >         which displays:
> > 
> >               C-c g-
> > 
> >         (Note the trailing hyphen "-" in Emacs 27 only.  Let me know
> >         if this should be reported to Emacs 27 bugtracker  separately).
> 
> Can you prepare a complete stand-alone recipe for reproducing the
> issue, starting from "emacs -Q"?

Forget it, I reproduced this in texinfo-mode.

This is indeed caused by the recent change in keyboard.c.  Paul, could
you please take a look?  (I've reverted the change in the emacs-26
branch for now.)

Thanks.